# Interface GUIConsoleInterface

All Superinterfaces:
  `ConsoleInterface`

All Known Implementing Classes:
  `JConsole`

public interface GUIConsoleInterface extends ConsoleInterface
Additional capabilities of an interactive console for BeanShell. Althought this is called "GUIConsoleInterface" it might just as well be used by a more sophisticated text-only command line.

Note: we may want to express the command line history, editing, and cut invalid input: '&' paste functionality here as well at some point.

## Method Summary

Modifier and Type
Method
Description
`void`
`print(Object o, Color color)`
`void`
`setNameCompletion(NameCompletion nc)`
`void`
`setWaitFeedback(boolean on)`
e.g.

### Methods inherited from interface ConsoleInterface

`error, getErr, getIn, getOut, print, println`

## Method Details

### print

void print(Object o, Color color)

### setNameCompletion

void setNameCompletion(NameCompletion nc)

### setWaitFeedback

void setWaitFeedback(boolean on)
e.g. the wait cursor